org.apache.http.impl.client

## Class RoutedRequest

- java.lang.Object
- - org.apache.http.impl.client.RoutedRequest

- Deprecated.
  (4.3) do not use.

      @Deprecated
      public class RoutedRequest
      extends Object

  A request with the route along which it should be sent.
  Since:
    4.0

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected RequestWrapper` | `request` Deprecated.
    `protected HttpRoute` | `route` Deprecated.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RoutedRequest(RequestWrapper req, HttpRoute route)` Deprecated. Creates a new routed request.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `RequestWrapper` | `getRequest()` Deprecated.
    `HttpRoute` | `getRoute()` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### request

          protected final RequestWrapper request

      Deprecated.

    - #### route

          protected final HttpRoute route

      Deprecated.

  - ### Constructor Detail

    - #### RoutedRequest

          public RoutedRequest(RequestWrapper req,
                       HttpRoute route)

      Deprecated.
      Creates a new routed request.
      Parameters:
        `req` - the request
        `route` - the route

  - ### Method Detail

    - #### getRequest

          public final RequestWrapper getRequest()

      Deprecated.

    - #### getRoute

          public final HttpRoute getRoute()

      Deprecated.

Copyright © 1999–2022 The Apache Software Foundation. All rights reserved.